# redmine-api-cpp

redmine-api-cpp is a API client library for the project management 
software [Redmine](https://redmine.org).

It also provides a small CLI application to interact with a remine server through its API.

## Supported API

| Resource  | Method  | Supported  |
|---|---|---|
|Issue  | *  |  no |
|Projects   | *  | no  |
|Project Membership   | *   | no  |
|Users | * | no| 
|Time Entries | * | no | 
|News | * | no | 
|Issue Relation | * | no |
|Versions | * | no | 
|Wiki Pages | * | no |
|Queries | * | no | 
|Attachments | * | no | 
|Issue Statuses | * | no |
|Trackers| * | no |
|Enumerations | * | no |
|Issue Categories | * | no |
|Roles | * | no |
|Groups | * | no | 
|Custom Fields | * | no | 
|Search | * | no |
|Files | * | no |
|My Account | * | yes | 
|Journals | * | no |


## Authors 
- Dominik Meyer <dmeyer@federationhq.de>

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

[GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt)